from setuptools import setup, find_packages

setup(
    name="memories-dev-docs",
    version="2.0.7",
    description="Documentation for memories-dev",
    author="Memories-dev",
    author_email="hello@memories.dev",
    packages=find_packages(),
    python_requires=">=3.8",
    install_requires=[
        "sphinx>=7.1.0",
        "sphinx-rtd-theme>=1.3.0",
        "sphinx-autodoc-typehints>=1.25.2",
        "lxml[html_clean]>=4.9.3",
        "lxml_html_clean>=0.4.0",
    ],
    extras_require={
        "docs": [
            "sphinx-copybutton>=0.5.2",
            "sphinx-design>=0.5.0",
            "sphinx-favicon>=1.0.1",
            "sphinx-inline-tabs>=2023.4.21",
            "sphinx-last-updated-by-git>=0.3.6",
            "sphinx-math-dollar>=1.2.1",
            "sphinx-notfound-page>=1.0.0",
            "sphinx-remove-toctrees>=0.0.3",
            "sphinx-sitemap>=2.5.1",
            "sphinx-tabs>=3.4.1",
            "sphinx-togglebutton>=0.3.2",
            "sphinxcontrib-mermaid>=0.9.2",
            "sphinxext-opengraph>=0.8.2",
            "rst2pdf>=0.100",
            "reportlab>=4.0.7",
            "svglib>=1.5.1",
            "myst-parser>=2.0.0",
            "nbsphinx>=0.9.3",
            "pandoc>=2.3",
            "docutils>=0.20.1",
            "recommonmark>=0.7.1",
            "pygments>=2.17.2",
            "pillow>=10.1.0",
            "m2r2>=0.3.3.post2",
        ],
        "test": [
            "pytest>=7.4.3",
            "pytest-cov>=4.1.0",
            "mypy>=1.7.1",
            "types-setuptools>=69.0.0.0",
            "types-docutils>=0.20.0.3",
        ],
        "build": [
            "build>=1.0.3",
            "twine>=4.0.2",
            "wheel>=0.41.3",
        ],
    },
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Topic :: Documentation",
        "Topic :: Documentation :: Sphinx",
    ],
) 